Loading...
Searching...
No Matches
Magick::PathLinetoVerticalAbs Class Reference
Inheritance diagram for Magick::PathLinetoVerticalAbs:

## Public Member Functions

| PathLinetoVerticalAbs (double y_)
void | operator() (MagickCore::DrawingWand *context_) const
VPathBase * | copy () const
void | y (double y_)
double | y (void) const

## Private Attributes

double | _y

## Detailed Description

Definition at line 3031 of file Drawable.h.

## Constructor & Destructor Documentation

## PathLinetoVerticalAbs()

Magick::PathLinetoVerticalAbs::PathLinetoVerticalAbs | ( | double | y_ | ) |

inline

Definition at line 3034 of file Drawable.h.

: _y(y_)
{
}

## ~PathLinetoVerticalAbs()

Magick::PathLinetoVerticalAbs::~PathLinetoVerticalAbs | ( | void |  | ) |

Definition at line 2410 of file Drawable.cpp.

{
}

## Member Function Documentation

## copy()

Magick::VPathBase * Magick::PathLinetoVerticalAbs::copy | ( |  | ) | const

virtual

Implements Magick::VPathBase.

Definition at line 2418 of file Drawable.cpp.

{
return new PathLinetoVerticalAbs(*this);
}

## operator()()

void Magick::PathLinetoVerticalAbs::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Implements Magick::VPathBase.

Definition at line 2413 of file Drawable.cpp.

{
DrawPathLineToVerticalAbsolute( context_, _y );
}

## y() [1/2]

void Magick::PathLinetoVerticalAbs::y | ( | double | y_ | ) |

inline

Definition at line 3047 of file Drawable.h.

{
_y = y_;
}

## y() [2/2]

double Magick::PathLinetoVerticalAbs::y | ( | void |  | ) | const

inline

Definition at line 3051 of file Drawable.h.

{
return _y;
}

## Field Documentation

## _y

double Magick::PathLinetoVerticalAbs::_y

private

Definition at line 3057 of file Drawable.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/Drawable.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Drawable.cpp